blob: 7203746f980d3c1089f4ca0a1f14578056dc5784 (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
|
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<TITLE> [Mageia-sysadm] [404] add script to move part of secret
</TITLE>
<LINK REL="Index" HREF="index.html" >
<LINK REL="made" HREF="mailto:mageia-sysadm%40mageia.org?Subject=Re%3A%20%5BMageia-sysadm%5D%20%5B404%5D%20add%20script%20to%20move%20part%20of%20secret&In-Reply-To=%3C20110203192958.8E92F3FEEE%40valstar.mageia.org%3E">
<META NAME="robots" CONTENT="index,nofollow">
<META http-equiv="Content-Type" content="text/html; charset=us-ascii">
<LINK REL="Previous" HREF="002535.html">
<LINK REL="Next" HREF="002537.html">
</HEAD>
<BODY BGCOLOR="#ffffff">
<H1>[Mageia-sysadm] [404] add script to move part of secret</H1>
<B>root at mageia.org</B>
<A HREF="mailto:mageia-sysadm%40mageia.org?Subject=Re%3A%20%5BMageia-sysadm%5D%20%5B404%5D%20add%20script%20to%20move%20part%20of%20secret&In-Reply-To=%3C20110203192958.8E92F3FEEE%40valstar.mageia.org%3E"
TITLE="[Mageia-sysadm] [404] add script to move part of secret">root at mageia.org
</A><BR>
<I>Thu Feb 3 20:29:58 CET 2011</I>
<P><UL>
<LI>Previous message: <A HREF="002535.html">[Mageia-sysadm] [403] don't filter \n and \r as we're now saving passphrase in hex
</A></li>
<LI>Next message: <A HREF="002537.html">[Mageia-sysadm] [405] Merge mdv commit 271832
</A></li>
<LI> <B>Messages sorted by:</B>
<a href="date.html#2536">[ date ]</a>
<a href="thread.html#2536">[ thread ]</a>
<a href="subject.html#2536">[ subject ]</a>
<a href="author.html#2536">[ author ]</a>
</LI>
</UL>
<HR>
<!--beginarticle-->
<PRE>Revision: 404
Author: boklm
Date: 2011-02-03 20:29:58 +0100 (Thu, 03 Feb 2011)
Log Message:
-----------
add script to move part of secret
Added Paths:
-----------
gpg/move-part
Added: gpg/move-part
===================================================================
--- gpg/move-part (rev 0)
+++ gpg/move-part 2011-02-03 19:29:58 UTC (rev 404)
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+. ./config
+
+if [ $# -ne 2 ]
+then
+ echo "Usage: $0 [part_number] [dest_dir]" 1>&2
+ exit 1
+fi
+
+partnum="$1"
+destdir="$2"
+
+if ! [ -f "$partsdir/$partnum" ]
+then
+ echo "Part $partnum doesn't exist."
+ exit 1
+fi
+
+if ! [ -d "$destdir" ]
+then
+ echo "Destination dir $destdir does not exist."
+ exit 1
+fi
+
+mkdir -p "$destdir/private"
+
+cp -a "$PUBDIR" "$destdir/"
+mv "$partsdir/$partnum" "$destdir/private/mageia-board-$partnum"
+cp -p "$seckey_e" "$destdir/private/"
+
Property changes on: gpg/move-part
___________________________________________________________________
Added: svn:executable
+ *
-------------- next part --------------
An HTML attachment was scrubbed...
URL: </pipermail/mageia-sysadm/attachments/20110203/d650a5fa/attachment.html>
</PRE>
<!--endarticle-->
<HR>
<P><UL>
<!--threads-->
<LI>Previous message: <A HREF="002535.html">[Mageia-sysadm] [403] don't filter \n and \r as we're now saving passphrase in hex
</A></li>
<LI>Next message: <A HREF="002537.html">[Mageia-sysadm] [405] Merge mdv commit 271832
</A></li>
<LI> <B>Messages sorted by:</B>
<a href="date.html#2536">[ date ]</a>
<a href="thread.html#2536">[ thread ]</a>
<a href="subject.html#2536">[ subject ]</a>
<a href="author.html#2536">[ author ]</a>
</LI>
</UL>
<hr>
<a href="https://www.mageia.org/mailman/listinfo/mageia-sysadm">More information about the Mageia-sysadm
mailing list</a><br>
</body></html>
|